{ pkgs, inputs, ... }:
let
  unstable = import inputs.nixpkgs-unstable { system = pkgs.stdenv.system; };
in
{
  languages.javascript.enable = true;
  languages.javascript.pnpm.enable = true;
  languages.javascript.pnpm.package = unstable.pnpm;

  languages.rust.enable = true;
  languages.rust.toolchainFile = ./rust-toolchain.toml;

  # apple.sdk =
  #   if pkgs.stdenv.isDarwin
  #   then unstable.apple-sdk
  #   else null;
  #
  # dotenv.enable = true;

  packages = with unstable; [
    cacert
    cargo-tauri
    openssl
    sqld
    watchman
  ] ++ lib.optionals stdenv.isDarwin [
    cocoapods
    # ios-deploy
    libplist
    libtasn1
    libimobiledevice
    libimobiledevice-glue
    libusbmuxd
    xcodegen
  ];
}
